#!/bin/bash


           echo "# Check if monitorix is installed..."
           echo "$LogTime uss: [$UserName] Check if monitorix is installed..." >> $LogFile
           if [ -f /etc/monitorix.conf ]
             then
                
                echo | zenity --progress --title="System output" --text=" Monitorix allready installed!!" 

           fi
           if [ ! -f /etc/monitorix.conf ]
             then
              
                echo "#monitorix NOT installed, installing..."

                cd /usr/share/ubuntu-server/installpkgs
                wget http://www.monitorix.org/monitorix_2.6.0-izzy1_all.deb
                sudo dpkg -i monitorix*.deb 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing Monitorix" --auto-close
                
                rm monitorix*.deb
      	  fi
        
