#!/bin/bash


           echo "# Check if NAV is installed..."
           echo "$LogTime uss: [$UserName] Check if NAV is installed..." >> $LogFile
           if [ -f /usr/bin/netactview ]
             then
                # NAV already installed
                echo | zenity --progress --title="System output" --text=" Net Activity Viewer allready installed!!" 
                echo "$LogTime uss: [$UserName] NAV is already installed" >> $LogFile
           fi
           if [ ! -f /usr/bin/netactview ]
             then
               # Install Nmap
                echo "# NAV NOT installed, installing..."
                echo "$LogTime uss: [$UserName] NAV NOT installed, installing..." >> $LogFile
                cd /usr/share/ubuntu-server/installpkgs
wget http://sourceforge.net/projects/netactview/files/netactview/netactview-0.6.1/netactview_0.6.1-1_i386.deb/download                 
wget http://sourceforge.net/projects/netactview/files/netactview/netactview-0.6.1/netactview_0.6.1-1_amd64.deb/download

                sudo dpkg -i download.1 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing NAV" --auto-close
                
      	  fi
           echo "# NAV installed"
           echo "$LogTime uss: [$UserName] NAV installed" >> $LogFile   
      	  
                rm download*
                
            sleep 0.1
