#!/bin/bash


           echo "# Check if putty is installed..."
           echo "$LogTime uss: [$UserName] Check if putty is installed..." >> $LogFile
           if [ -f /usr/bin/putty ]
             then
               
                echo | zenity --progress --title="System output" --text=" Putty allready installed!!" 
                echo "$LogTime uss: [$UserName] putty is already installed" >> $LogFile
           fi
           if [ ! -f /usr/bin/putty ]
             then
              
                echo "# putty NOT installed, installing..."
                echo "$LogTime uss: [$UserName] putty NOT installed, installing..." >> $LogFile
                
                sudo apt-get -y install putty 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing Putty" --auto-close
                
      	  fi
           echo "# putty installed"
           echo "$LogTime uss: [$UserName] putty installed" >> $LogFile   
      	  
               sleep 0.1
