#!/bin/bash



if [ $USER != root ]; then
  echo -e "Error: must be root"
  echo -e "Exiting..."
  exit 0
fi

echo -e "Cleaning servers log files..."

sudo cat /dev/null > /var/log/apache2/access.log 
	     sudo cat /dev/null > /var/log/apache2/error.log 
	     sudo cat /dev/null > /var/log/apache2/ssl_access.log 
	     sudo cat /dev/null > /var/log/apache2/other_vhosts_access.log
	     sudo cat /dev/null > /var/log/proftpd/proftpd.log
	     sudo cat /dev/null > /var/log/proftpd/xferlog
	     sudo cat /dev/null > /var/log/samba/log.smbd
	     sudo cat /dev/null > /var/log/samba/log.nmbd
	     sudo cat /dev/null > /var/log/samba/log.winbindd
             sudo cat /dev/null > /var/log/monitorix

sudo rm -v /var/log/apache2/*log*1
sudo rm -v /var/log/apache2/*gz
sudo rm -v /var/log/proftpd/*gz
sudo rm -v /var/log/proftpd/*log*1
sudo rm -v /var/log/samba/*gz
sudo rm -v /var/log/samba/*1
sudo rm -v /var/log/*ix.1

echo -e "Cleaning other log files..."

             sudo cat /dev/null > /var/log/auth.log
	     sudo cat /dev/null > /var/log/ufw.log
	     sudo cat /dev/null > /var/log/Xorg.0.log


echo -e "Script Finished!"
