#!/bin/bash


           echo "# Check if putty is installed..."
           echo "$LogTime uss: [$UserName] Check if putty is installed..." >> $LogFile
           if [ -f /usr/bin/putty ]
             then
                # NAV already installed
                echo "# NAV is already installed"
                echo "$LogTime uss: [$UserName] NAV is already installed" >> $LogFile
           fi
           if [ ! -f /usr/bin/putty ]
             then
               # Install Nmap
                echo "# NAV NOT installed, installing..."
                echo "$LogTime uss: [$UserName] NAV NOT installed, installing..." >> $LogFile
                
                sudo apt-get -y install putty 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing Putty" --auto-close
                
      	  fi
           echo "# NAV installed"
           echo "$LogTime uss: [$UserName] NAV installed" >> $LogFile   
      	  
                echo "# Running NAV"
        	       echo "$LogTime uss: [$UserName] Running NAV locahost scan" >> $LogFile 
        	       putty
                
                   
           fi            	   
  		 fi  
  	 echo "75" ; sleep 0.1
