#!/bin/bash


           echo "# Check if webmin is installed..."
           echo "$LogTime uss: [$UserName] Check if webmin is installed..." >> $LogFile
           if [ -f /usr/share/webmin/setup.sh ]
             then
                
                echo | zenity --progress --title="System output" --text=" Webmin allready installed!!" 
                echo "$LogTime uss: [$UserName] webmin is already installed" >> $LogFile
           fi
           if [ ! -f /usr/share/webmin/setup.sh ]
             then
              
                echo "# Webmin NOT installed, installing..."
                echo "$LogTime uss: [$UserName] Webmin NOT installed, installing..." >> $LogFile
                cd /usr/share/ubuntu-server/installpkgs
                wget http://downloads.sourceforge.net/project/webadmin/webmin/1.620/webmin_1.620_all.deb
                sudo dpkg -i webmin*.deb 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing Webmin" --auto-close
                
      	  fi
           echo "# webmin installed"
           echo "$LogTime uss: [$UserName] webmin installed" >> $LogFile   
      	   rm webmin*.deb
                
  	  sleep 0.1
