#!/bin/bash


           echo "# Check if gufw is installed..."
           echo "$LogTime uss: [$UserName] Check if gufw is installed..." >> $LogFile
           if [ -f /usr/bin/gufw ]
             then
                # NAV already installed
                echo "# gufw is already installed"
                echo "$LogTime uss: [$UserName]gufw is already installed" >> $LogFile
           fi
           if [ ! -f /usr/bin/gufw ]
             then
               # Install Nmap
                echo "# gufw NOT installed, installing..."
                echo "$LogTime uss: [$UserName] gufw NOT installed, installing..." >> $LogFile
                
                sudo apt-get -y install gufw 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing Gufw Firewall" --auto-close
                
      	  fi
           echo "# NAV installed"
           echo "$LogTime uss: [$UserName] putty installed" >> $LogFile   
      	  
                echo "# Running putty"
        	       echo "$LogTime uss: [$UserName] Running putty locahost scan" >> $LogFile 
        	       gufw
                
                   
           fi            	   
  		 fi  
  	 echo "75" ; sleep 0.1
