#!/bin/bash


           echo "# Check if NAV is installed..."
           echo "$LogTime uss: [$UserName] Check if NAV is installed..." >> $LogFile
           if [ -f /usr/bin/netactview ]
             then
                # NAV already installed
                echo "# NAV is already installed"
                echo "$LogTime uss: [$UserName] NAV is already installed" >> $LogFile
           fi
           if [ ! -f /usr/bin/netactview ]
             then
               # Install Nmap
                echo "# NAV NOT installed, installing..."
                echo "$LogTime uss: [$UserName] NAV NOT installed, installing..." >> $LogFile
                cd /usr/share/ubuntu-server/installpkgs
                sudo dpkg -i netactview_0.6.1-1_amd64.deb 2>&1 | sed -u 's/.* \([0-9]\+%\)\ \+\([0-9.]\+.\) \(.*\)/\1\n# Installing at \2\/s, ETA \3/' | zenity --progress --title="Installing File..." --text="Installing NAV" --auto-close
                rm /usr/share/ubuntu-server/installpkgs/netactview_0.6.1-1_amd64.deb
      	  fi
           echo "# NAV installed"
           echo "$LogTime uss: [$UserName] NAV installed" >> $LogFile   
      	  
                echo "# Running NAV"
        	       echo "$LogTime uss: [$UserName] Running NAV locahost scan" >> $LogFile 
        	       netactview
                
                   
           fi            	   
  		 fi  
  	 echo "75" ; sleep 0.1
