#!/bin/bash
# Get domain name
_zenity="/usr/bin/zenity"
_out="/tmp/nmap.output.$$"
domain=$(${_zenity} --title  "Enter Domain " \
	            --entry --text "Enter the IP or domain name you would like perform a scan" )
 
if [ $? -eq 0 ]
then
  # Display a progress dialog while searching whois database
 sudo nmap -v -sT -A $domain 2>&1 | zenity --text-info --title "Nmap Domain Scan - $TFCName $TFCVersion" --width 800 --height 500
                echo "# Nmap check done"

else
  ${_zenity} --error \
	     --text="No input provided"
fi
